FoxEye(1)

NAME

FoxEye - the universal network client.

SYNOPSIS

foxeye [ -n nick ] [ -cdmt ] file

foxeye -cr [ -n nick ] [ -dm ] [ -g file ]

foxeye -q file

foxeye -[h|v]

DESCRIPTION

FoxEye was created first as a IRC (Internet Relay Chat) network bot - the network daemon which controls functionality and protection of IRC channels. It enters to IRC network as user, joins the channel and tries don't leave it until crash or terminate. But now it is multipurpose modularised client or service for networks: IRC, ICQ, etc.

OPTIONS

-c  Don't detach console (chat simulation mode).

-d[d]
    Increase a debug log level by one (maximum debug level is 5).

-g file
    Generate new config file file

-h  Display help message and exit.

-m  Make an empty listfile.

-n nick
    Set default nick to nick

-q  Print only fatal errors to stderr. Aborts -c, -h, and -v options.

-r  Reset parameters (don't use the config file statements). Implies -c option.

-t  Test the configuration and exit.

-v  Display version information and exit.

file
    config file to use (no defaults).

ENVIRONMENT

HOME
    Full path of the user's home directory.

PATH
    Shell path to find binaries without path given.

LANG
    Language default settings.

NO WARRANTIES

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO

ircd(8), RFC2810, RFC2811, RFC2812, RFC2813.

The GNU General Public License.

AUTHOR

Andriy Grytsenko. (1999-2017)